Bug 78088 - [PATCH] databases/sqlite2 breaks when WRKDIRPREFIX is set
Summary: [PATCH] databases/sqlite2 breaks when WRKDIRPREFIX is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-25 19:40 UTC by Jilles Tjoelker
Modified: 2005-03-06 23:27 UTC (History)
1 user (show)

See Also:


Attachments
sqlite2.patch (441 bytes, patch)
2005-02-25 19:40 UTC, Jilles Tjoelker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jilles Tjoelker freebsd_committer 2005-02-25 19:40:28 UTC
Invocations of make in /usr/ports/databases/sqlite2/ give these errors:

/usr/bin/awk: can't open file pkg-plist
 source line number 1
"/usr/ports/databases/sqlite2/Makefile", line 77: warning: "/usr/bin/awk 'BEGIN {FS="/"}; /^%%PORTDOCS%%%%DOCSDIR%%/{print $2}' pkg-plist" returned non-zero status

This also happens when running pkg_version(1).

When installing the port, the documentation is not installed.

Fix: Patch included.

I emailed this to the maintainer but did not get any response yet.
Date: Thu, 3 Feb 2005 18:03:01 +0100
Message-ID: <20050203170301.GA68931@stack.nl>
How-To-Repeat: Set WRKDIRPREFIX and install the port. The documentation is missing.
Run pkg_version -v with the port installed and WRKDIRPREFIX set.
Comment 1 Volker Stolz freebsd_committer 2005-02-28 13:10:13 UTC
Dear maintainer, please review the proposed patch!

Volker
Comment 2 Volker Stolz freebsd_committer 2005-02-28 13:10:33 UTC
State Changed
From-To: open->feedback

Forwarded PR to maintainer
Comment 3 Gerhard =?unknown-8bit?Q?H=E4ring?= 2005-03-05 20:17:19 UTC
On Mon, Feb 28, 2005 at 02:10:13PM +0100, Volker Stolz wrote:
> Dear maintainer, please review the proposed patch!

I currently don't have a FreeBSD machine to do any maintainer work. So,
please remove me as a maintainer for all my FreeBSD ports:

- databases/sqlite2
- databases/py-pysqlite
- databases/py-pypgsql
- sysutils/duplicity
- sysutils/rdiff-backup

Thanks.

-- Gerhard
Comment 4 Volker Stolz freebsd_committer 2005-03-05 22:10:05 UTC
State Changed
From-To: feedback->open

Maintainer feedback received: Gerhard unluckily has no longer 
time to work on this.
Comment 5 Pav Lucistnik freebsd_committer 2005-03-06 23:27:19 UTC
State Changed
From-To: open->closed

Submitter reports the problem went away